<template>
  <div
    class="menu"
    :class="{
      'is-active': sidebarMenu
    }"
    @click="toggleSidebarMenu"
    v-wave
  >
    <div>
      <span></span>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'
import useSidebarMenu from '@/hooks/sidebar-menu'

export default defineComponent({
  name: 'Burger',
  setup() {
    const { toggleSidebarMenu, sidebarMenu } = useSidebarMenu()
    return {
      sidebarMenu,
      toggleSidebarMenu
    }
  }
})
</script>

<style lang="scss" scoped>
.menu {
  cursor: pointer;
  font-size: 0;
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  @media (min-width: 991.98px) {
    width: 55px;
    height: 55px;
    background: #272c3b;
  }
  div {
    position: relative;
    width: 18px;
    height: 12px;
    @media (min-width: 991.98px) {
      width: 21px;
      height: 16px;
    }
    &::before,
    &::after {
      content: '';
      display: block;
      width: 18px;
      height: 2px;
      margin-bottom: 3px;
      background: #9badd6;
      transform-origin: 0% 100%;
      transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1);
      @media (min-width: 991.98px) {
        width: 21px;
        margin-bottom: 5px;
      }
    }
    &::after {
      transform-origin: left bottom;
      margin-bottom: 0px;
    }
    > span {
      margin-bottom: 3px;
      height: 2px;
      width: 18px;
      background: #9badd6;
      display: block;
      @media (min-width: 991.98px) {
        width: 21px;
        margin-bottom: 5px;
      }
    }
  }
  /* &.is-active {
    span {
      &::before {
        transform: rotate(45deg) translate(0px, -5px);
        @media (min-width: 1199.98px) {
          transform: rotate(45deg) translate(-2px, -6px);
        }
      }
      &::after {
        transform: rotate(-45deg) translate(1px, 6px);
        @media (min-width: 1199.98px) {
          transform: rotate(-45deg) translate(1px, 8px);
        }
      }
    }
  } */
}
</style>
